## mbarcode 0.1.1-1

=== Makefile ===
#############################################################################
# Makefile for building: mbarcode-qt
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Mar 30 18:47:28 2010
# Project:  mbarcode-qt.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile mbarcode-qt.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lgstinterfaces-0.10 -ldmtx -pthread -pthread -losso-abook-1.0 -lhildon-1 -lmcclient -ltelepathy-glib -lebook-1.2 -ledataserver-1.2 -pthread -lgstphotography-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lxml2 -lconic -lcurl -pthread -lhildonmime -lmodest-dbus-client-1.0 -losso -pthread -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lzbar -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = barcodedetector.cpp \
		main.cpp \
		mainwindow.cpp \
		resultswindow.cpp \
		videowidget.cpp \
		dmtxdecoderthread.cpp \
		pluginintermediate.cpp \
		zbardecoderthread.cpp \
		settingswindow.cpp \
		pluginsettings.cpp moc_barcodedetector.cpp \
		moc_mainwindow.cpp \
		moc_resultswindow.cpp \
		moc_videowidget.cpp \
		moc_pluginintermediate.cpp \
		moc_settingswindow.cpp \
		moc_pluginsettings.cpp
OBJECTS       = barcodedetector.o \
		main.o \
		mainwindow.o \
		resultswindow.o \
		videowidget.o \
		dmtxdecoderthread.o \
		pluginintermediate.o \
		zbardecoderthread.o \
		settingswindow.o \
		pluginsettings.o \
		moc_barcodedetector.o \
		moc_mainwindow.o \
		moc_resultswindow.o \
		moc_videowidget.o \
		moc_pluginintermediate.o \
		moc_settingswindow.o \
		moc_pluginsettings.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		mbarcode-qt.pro
QMAKE_TARGET  = mbarcode-qt
DESTDIR       = 
TARGET        = mbarcode-qt

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mbarcode-qt.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile mbarcode-qt.pro

## mbarcode 0.0.1-2

=== debian/changelog ===
mbarcode (0.0.1-2) unstable; urgency=low

  * Fix some malfunctioning dialogs

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 18 Nov 2009 13:55:00 +0000

mbarcode (0.0.1-1) unstable; urgency=low

  * Initial Debainised release

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 28 Oct 2009 07:31:06 +0000

=== debian/control ===
Source: mbarcode
Section: user/utilities 
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Build-Depends: 	debhelper (>= 5), zbar, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libhildon1-dev, libosso-dev, libgtk2.0-dev, 
                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libsqlite3-dev, libgstreamer-plugins-base0.10-dev,
                libcurl3-dev
Standards-Version: 3.7.2

Package: mbarcode
Architecture: any
Depends: ${shlibs:Depends}, zbar, libdmtx0a, gstreamer0.10-plugins-bad
Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
 mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
 1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work, 
 patches welcome). You can also scan QR codes and Datamatrix codes and display the 
 information contained therein. If the information is an URL, the browser will be opened 
 for you, and if it's a VCARD it will be inserted into your contacts database. 
 Other payloads will also be handled in the fullness of time!

## mbarcode 0.0.1-3

=== debian/changelog ===
mbarcode (0.0.1-3) unstable; urgency=low

  * Fix URL open dialog lockups

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 21 Nov 2009 12:15:00 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: mbarcode
 Architecture: any
-Depends: ${shlibs:Depends}, zbar, libdmtx0a, gstreamer0.10-plugins-bad
+Depends: ${shlibs:Depends}, zbar, libdmtx0a
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
  mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
  1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work,

## mbarcode 0.0.2-0

=== debian/changelog ===
mbarcode (0.0.2-0) unstable; urgency=low

  * add rotation support

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sun, 2 Nov 2009 14:50:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: 	debhelper (>= 5), zbar, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libhildon1-dev, libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libsqlite3-dev, libgstreamer-plugins-base0.10-dev,
-                libcurl3-dev
+                libcurl3-dev, mce-dev | maemo-version (<5.0)
 Standards-Version: 3.7.2
 
 Package: mbarcode

## mbarcode 0.0.3-0

=== debian/changelog ===
mbarcode (0.0.3-0) unstable; urgency=low

  * add some banners to describe barcode contents as the printf info can't be seen these days

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sun, 24 Nov 2009 09:50:00 +0000

## mbarcode 0.0.4-0

=== debian/changelog ===
mbarcode (0.0.4-0) unstable; urgency=low

  * add handler for mailto: and tel: barcode contents

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 24 Nov 2009 22:01:00 +0000

## mbarcode 0.0.6-0

=== debian/changelog ===
mbarcode (0.0.6-0) unstable; urgency=low

  * add DBus signal for detected barcode, and method to call mbarcode to look for one

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Thur, 26 Nov 2009 23:13:00 +0000

mbarcode (0.0.5-0) unstable; urgency=low

  * add handler for .install file contained in barcode

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Thur, 26 Nov 2009 00:43:00 +0000

## mbarcode 0.0.6-1

=== debian/changelog ===
mbarcode (0.0.6-1) unstable; urgency=low

  * Removed update text that said we were doing a lookup as when it often fails, it looks bad ;)

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Fri, 27 Nov 2009 11:21:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: 	debhelper (>= 5), zbar, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libhildon1-dev, libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libsqlite3-dev, libgstreamer-plugins-base0.10-dev,
-                libcurl3-dev, mce-dev | maemo-version (<5.0)
+                libcurl3-dev, mce-dev | maemo-version (<5.0), libhildonmime-dev, libmodest-dbus-client-dev
 Standards-Version: 3.7.2
 
 Package: mbarcode

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mbarcode.sgml > mbarcode.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mbarcode.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mbarcode


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mbarcode 0.0.6-3

=== debian/changelog ===
mbarcode (0.0.6-3) unstable; urgency=low

  * Update build deps for updated zbar

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Fri, 27 Nov 2009 12:14:00 +0000

mbarcode (0.0.6-2) unstable; urgency=low

  * Removed update text that said we were doing a lookup as when it often fails, it looks bad ;)

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Fri, 27 Nov 2009 11:21:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities 
 Priority: extra
 Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
-Build-Depends: 	debhelper (>= 5), zbar, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
+Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libhildon1-dev, libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libsqlite3-dev, libgstreamer-plugins-base0.10-dev,
                 libcurl3-dev, mce-dev | maemo-version (<5.0), libhildonmime-dev, libmodest-dbus-client-dev
@@ -10,7 +10,7 @@
 
 Package: mbarcode
 Architecture: any
-Depends: ${shlibs:Depends}, zbar, libdmtx0a
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
  mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
  1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work,

## mbarcode 0.0.7-0

=== debian/changelog ===
mbarcode (0.0.7-0) unstable; urgency=low

  * Fix problem with geting DBus connection that stopped rotation from being detected and handled.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Mon, 1 Dec 2009 00:08:00 +0000

## mbarcode 0.0.8-0

=== debian/changelog ===
mbarcode (0.0.8-0) unstable; urgency=low

  * Comment out (hidden) list plugin internals and remove associated sqlite3 dep
  * Fix Diablo DBus init error
  * Add Open button to allow files to be opened and scanned
  * Stop web lookups for the time being (until they become more robust and don't segfault all the time!)
  * Create single large text area for main scan window
  * Other bug fixes

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Thu, 3 Dec 2009 09:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
 Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libhildon1-dev, libosso-dev, libgtk2.0-dev, 
-                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libsqlite3-dev, libgstreamer-plugins-base0.10-dev,
-                libcurl3-dev, mce-dev | maemo-version (<5.0), libhildonmime-dev, libmodest-dbus-client-dev
+                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
+                libcurl3-dev, mce-dev | maemo-version (<5.0), libhildonmime-dev, libmodest-dbus-client-dev, libhildonfm2-dev
 Standards-Version: 3.7.2
 
 Package: mbarcode

## mbarcode 0.1.1-0

=== debian/changelog ===
mbarcode (0.1.1-0) unstable; urgency=low

  * First packaged version of mbarcode with Qt framework.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 30 Mar 2010 23:00:00 +0000

mbarcode (0.1.0-0) unstable; urgency=low

  * Initial Qt port from GTK+ version, mbarcode 0.0.9 (Known as mbarcode-qt 0.0.1)

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 23 Dec 2009 17:50:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libhildon1-dev, libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
-                libcurl3-dev, mce-dev | maemo-version (<5.0), libhildonmime-dev, libmodest-dbus-client-dev, libhildonfm2-dev
+                libcurl3-dev, mce-dev | maemo-version (<5.0), libhildonmime-dev, libmodest-dbus-client-dev, libhildonfm2-dev,
+                libqt4-maemo5-dev
 Standards-Version: 3.7.2
 
 Package: mbarcode
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a
+Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar0, libdmtx0a
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
  mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
  1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work,

=== debian/rules ===
#!/usr/bin/make -f


APPNAME := mbarcode
builddir:
		mkdir -p builddir

builddir/Makefile: builddir
		cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/opt ../mbarcode-qt.pro

build: build-stamp

build-stamp: builddir/Makefile
		dh_testdir
		# Add here commands to compile the package.
		cd builddir && $(MAKE)
		touch $@

clean:
		dh_testdir
		dh_testroot
		rm -f build-stamp
		# Add here commands to clean up after the build process.
		rm -rf builddir
		dh_clean
install: build
		dh_testdir
		dh_testroot
		dh_clean -k
		dh_installdirs

		# Add here commands to install the package into debian/your_appname
		cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
		dh_testdir
		dh_testroot
		dh_installdocs
		dh_installexamples
		dh_installman
		dh_link
		dh_strip
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_shlibdeps
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mbarcode 0.1.1-1

=== debian/changelog ===
mbarcode (0.1.1-1) unstable; urgency=low

  First packaged version of mbarcode with Qt framework.
  Package does not depend on built-in plugins.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 30 Mar 2010 23:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: mbarcode
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar0, libdmtx0a
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
  mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
  1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work,

## mbarcode 0.1.2-0

=== debian/changelog ===
mbarcode (0.1.2-0) unstable; urgency=low

  Package depends on plugins.
  Fixed desktop file.
  First attempt to load files.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 30 Mar 2010 03:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: mbarcode
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode-plugin-ii, mbarcode-plugin-qrcode
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
  mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
  1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 		mkdir -p builddir
 
 builddir/Makefile: builddir
-		cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/opt ../mbarcode-qt.pro
+		cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/usr ../mbarcode-qt.pro
+        # should be changed to qmake-qt4 when PR1.2 is out
 
 build: build-stamp

## mbarcode 0.1.2-1

=== debian/changelog ===
mbarcode (0.1.2-1) unstable; urgency=low

  Moved away from libqt4-maemo5

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 31 Mar 2010 03:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libhildon1-dev, libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                 libcurl3-dev, mce-dev | maemo-version (<5.0), libhildonmime-dev, libmodest-dbus-client-dev, libhildonfm2-dev,
-                libqt4-maemo5-dev
+                libqt4-dev
 Standards-Version: 3.7.2
 
 Package: mbarcode

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 		mkdir -p builddir
 
 builddir/Makefile: builddir
-		cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/usr ../mbarcode-qt.pro
+		cd builddir && qmake-qt4 PREFIX=/usr ../mbarcode-qt.pro
         # should be changed to qmake-qt4 when PR1.2 is out
 
 build: build-stamp

## mbarcode 0.1.2-2

=== debian/changelog ===
mbarcode (0.1.2-2) unstable; urgency=low

  Moved back to libqt4-maemo5

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 31 Mar 2010 13:30:00 +0000

## mbarcode 0.1.2-3

=== debian/changelog ===
mbarcode (0.1.2-3) unstable; urgency=low

  Fixed dependencies on libhildon1

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 31 Mar 2010 13:30:00 +0000

=== debian/control ===
Source: mbarcode
Section: user/utilities 
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                libqt4-maemo5-dev
Standards-Version: 3.7.2

Package: mbarcode
Architecture: any
Depends: libqt4-maemo5-maemo5, mbarcode-plugin-ii, mbarcode-plugin-qrcode
Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
 mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
 1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work, 
 patches welcome). You can also scan QR codes and Datamatrix codes and display the 
 information contained therein. If the information is an URL, the browser will be opened 
 for you, and if it's a VCARD it will be inserted into your contacts database. 
 Other payloads will also be handled in the fullness of time!

## mbarcode 0.1.2-4

=== debian/changelog ===
mbarcode (0.1.2-4) unstable; urgency=low

  Another libhildon fix.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 31 Mar 2010 13:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: mbarcode
 Architecture: any
-Depends: libqt4-maemo5-maemo5, mbarcode-plugin-ii, mbarcode-plugin-qrcode
+Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode-plugin-ii, mbarcode-plugin-qrcode
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
  mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
  1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work,

## mbarcode 0.1.2-5

=== debian/changelog ===
mbarcode (0.1.2-5) unstable; urgency=low

  Another attempt to fix dependency issues. Removed shlibs depends.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 31 Mar 2010 22:27:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: mbarcode
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode-plugin-ii, mbarcode-plugin-qrcode
+Depends: gstreamer0.10-plugins-bad, libatk1.0-0 (>= 1.24.0), libc6 (>= 2.5.0-1), libcairo2, libconic0, libcurl3 (>= 7.16.2-1), libdbus-1-3 (>= 1.1.4), libdbus-glib-1-2 (>= 0.76), libdmtx0a, libebook (>= 1.4.2.1), libedataserver (>= 1.4.2.1), libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libgcc1 (>= 1:4.2.1), libgconf2-6 (>= 2.13.5), libglib2.0-0 (>= 2.20.0), libgstreamer-plugins-base0.10-0 (>= 0.10.25), libgstreamer0.10-0 (>= 0.10.25), libgtk2.0-0 (>= 2:2.12.9-0osso1), libhildon1 (>= 2.2.0), libhildonfm2 (>= 1:2.28+0m5), libhildonmime0 (>= 2.1.3), libmcclient6, libmodest-dbus-client, libosso-abook, libosso-gnomevfs2-0, libosso1 (>= 2.23), libpango1.0-0, libqt4-maemo5-core (>= 4.6.2~git20100212), libqt4-maemo5-gui (>= 4.6.2~git20100212), libstdc++6 (>= 4.2.1), libtelepathy-glib0 (>= 0.7.37), libxml2 (>= 2.6.32), libzbar0, mbarcode-plugin-ii, mbarcode-plugin-qrcode
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
  mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
  1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work,

## mbarcode 0.1.3-0

=== Makefile ===
#############################################################################
# Makefile for building: mbarcode
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Mar 31 23:21:24 2010
# Project:  mbarcode-qt.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix CONFIG+=debug -o Makefile mbarcode-qt.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lgstinterfaces-0.10 -ldmtx -pthread -pthread -losso-abook-1.0 -lhildon-1 -lmcclient -ltelepathy-glib -lebook-1.2 -ledataserver-1.2 -pthread -lgstphotography-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lxml2 -lconic -lcurl -pthread -lhildonmime -lmodest-dbus-client-1.0 -losso -pthread -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lzbar -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = barcodedetector.cpp \
		main.cpp \
		mainwindow.cpp \
		resultswindow.cpp \
		videowidget.cpp \
		dmtxdecoderthread.cpp \
		pluginintermediate.cpp \
		zbardecoderthread.cpp \
		settingswindow.cpp \
		pluginsettings.cpp moc_barcodedetector.cpp \
		moc_mainwindow.cpp \
		moc_resultswindow.cpp \
		moc_videowidget.cpp \
		moc_pluginintermediate.cpp \
		moc_settingswindow.cpp \
		moc_pluginsettings.cpp
OBJECTS       = barcodedetector.o \
		main.o \
		mainwindow.o \
		resultswindow.o \
		videowidget.o \
		dmtxdecoderthread.o \
		pluginintermediate.o \
		zbardecoderthread.o \
		settingswindow.o \
		pluginsettings.o \
		moc_barcodedetector.o \
		moc_mainwindow.o \
		moc_resultswindow.o \
		moc_videowidget.o \
		moc_pluginintermediate.o \
		moc_settingswindow.o \
		moc_pluginsettings.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		mbarcode-qt.pro
QMAKE_TARGET  = mbarcode
DESTDIR       = 
TARGET        = mbarcode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mbarcode-qt.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix CONFIG+=debug -o Makefile mbarcode-qt.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:

=== debian/changelog ===
mbarcode (0.1.3-0) unstable; urgency=low

  Fixed problems with scanning due to open image functionality. Open image is currently broken.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 1 Apr 2010 00:21:00 +0000
